import { NullValueRes } from "../types/common";

export interface SocialMedia {
  type: string,
  value: string
}

export interface UserInfo {
  about: string,
  website: string,
  social_media: Array<SocialMedia>
}

export type User = {
  id: number,
  email: string,
  username: string,
  about: string,
  website: string,
  avatar_picture: string,
  banned_at: NullValueRes<"Time", string>,
  banned_until: NullValueRes<"Time", string>,
  ban_reason: string,
  is_permaban: boolean,
  is_admin: boolean,
  is_critics: boolean,
  is_verfied: boolean,
  social_media: Array<SocialMedia>
}


export function emptyUser(): User {
  return {
    avatar_picture: '',
    ban_reason: '',
    about: '',
    website: '',
    banned_at: { Time: '', Valid: false},
    banned_until: { Time: '', Valid: false},
    email: '',
    id: 0,
    is_admin: false,
    is_critics: false,
    is_permaban: false,
    is_verfied: false,
    social_media: Array<SocialMedia>(),
    username: ''
  }
}